crash utility fails on arm64 with cannot determine VA_BITS_ACTUAL

Bug #1919275 reported by Ali Saidi
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
crash (Ubuntu)
Medium
Ioanna Alifieraki
Bionic
Medium
Ioanna Alifieraki
Focal
Medium
Ioanna Alifieraki
Groovy
Medium
Ioanna Alifieraki
linux (Ubuntu)
Medium
Unassigned
Bionic
Undecided
Unassigned
Focal
Medium
Ioanna Alifieraki
Groovy
Medium
Ioanna Alifieraki

Bug Description

[Impact]

On Ubuntu Bionic with the 5.4.0-1038-aws kernel the crash utility 7.2.8-1ubuntu0.18.04 fails with:

crash: cannot determine VA_BITS_ACTUAL

This bug has been addressed upstream and needed patches both in crash and kernel.

Kernel patch :

commit bbdbc11804ff0b4130e7550113b452e96a74d16e
Author: Bhupesh Sharma <email address hidden>
Date: Thu May 14 00:22:37 2020 +0530
    arm64/crash_core: Export TCR_EL1.T1SZ in vmcoreinfo

Crash patch :

commit 1c45cea02df7f947b4296c1dcaefa1024235ef10
Author: Bhupesh Sharma <email address hidden>
Date: Tue Jul 14 01:14:49 2020 +0530

    arm64: Change tcr_el1_t1sz variable name to TCR_EL1_T1SZ

Series affected :

Kenrel :
This affects Focal (5.4 kernel) and Groovy (5.8 kernel).
Hirsute already contains the commit and kernels prior to 5.3 are not affected.

Crash :
The commit is already in Hirsute.
Groovy, Focal and Bionic are affected.
In case of Bionic the bug appears only if 5.4 hwe kernel is used.

[Test Case]

On an arm64 host which runs the affected releases and kernels after creating a crashdump try to open it with crash.
It will fail with :
crash: cannot determine VA_BITS_ACTUAL

[Where problems could occur]

Kernel patch :

The kernel patch reads the appropriate cpu register and exports TCR_EL1.T1SZ variable in vmcoreinfo. Given that this is a simple operation
and that this patch landed upstream in 5.9 and no regressions have been reported, it is safe to assume that the regression potential is minimal.
Any potential problem would occur in vmcoreinfo since this is where TCR_EL1.T1SZ variable is exported.

Crash patch :

This patch renames tcr_el1_t1sz variable to TCR_EL1_T1SZ to be compatible with the kernel change above for crash to be able to read it.
The regression potential is small and any problem would regard reading this variable.

[Other]

Workaround :
This bug/change in crash provides a workaround for 5.4+ https://github.com/crash-utility/crash/issues/52 kernels.

While it appears as though it this was fixed it https://bugs.launchpad.net/ubuntu/+source/crash/+bug/1858958 it still doesn't seem to work with a 5.4 kernel including. I also tested https://launchpad.net/ubuntu/+source/crash/7.2.8-1ubuntu0.18.04.1/+build/18807621/+files/crash_7.2.8-1ubuntu0.18.04.1_arm64.deb and it exhibits the same problem.

Related branches

Changed in crash (Ubuntu):
assignee: nobody → Ioanna Alifieraki (joalif)
importance: Undecided → Medium
description: updated
description: updated
no longer affects: crash-installer
Revision history for this message
Ioanna Alifieraki (joalif) wrote :
Changed in crash (Ubuntu Groovy):
status: New → Confirmed
Changed in crash (Ubuntu Focal):
status: New → Confirmed
Changed in linux (Ubuntu Focal):
status: New → Confirmed
Changed in linux (Ubuntu Groovy):
status: New → Confirmed
importance: Undecided → Medium
Changed in linux (Ubuntu Focal):
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in crash (Ubuntu Groovy):
importance: Undecided → Medium
Changed in crash (Ubuntu Focal):
importance: Undecided → Medium
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1919275

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: focal
Changed in linux (Ubuntu Bionic):
status: New → Invalid
Changed in crash (Ubuntu Bionic):
status: New → Confirmed
description: updated
Changed in crash (Ubuntu Bionic):
importance: Undecided → Medium
Stefan Bader (smb)
Changed in linux (Ubuntu Groovy):
status: Confirmed → Fix Committed
Stefan Bader (smb)
Changed in linux (Ubuntu Focal):
status: Confirmed → Fix Committed
Stefan Bader (smb)
Changed in crash (Ubuntu Groovy):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-groovy' to 'verification-done-groovy'. If the problem still exists, change the tag 'verification-needed-groovy' to 'verification-failed-groovy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-groovy
Revision history for this message
Dan Streetman (ddstreet) wrote :

uploaded to b/f/g, thanks!

Revision history for this message
Ioanna Alifieraki (joalif) wrote :

#VERIFICATION FOCAL - kernel part

Installed kernel from -proposed, triggered a crash and opened dump with crash.
Crash opens dump successfully (patched version of crash required with commit from description).

# crash usr/lib/debug/boot/vmlinux-5.4.0-1049-aws /var/crash/202105181907/dump.202105181907

crash 7.2.8
Copyright (C) 2002-2020 Red Hat, Inc.
...

crash>

tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Ioanna Alifieraki (joalif) wrote :

#VERIFICATION GROOVY - kernel part

Installed kernel from -proposed, triggered a crash and opened dump with crash.
Crash opens dump successfully (patched version of crash required with commit from description).

# crash usr/lib/debug/boot/vmlinux-5.8.0-1034-aws /var/crash/202105182030/dump.202105182030

crash 7.2.8
Copyright (C) 2002-2020 Red Hat, Inc.
....

crash>

tags: added: verification-done-groovy
removed: verification-needed-groovy
Revision history for this message
Brian Murray (brian-murray) wrote : Please test proposed package

Hello Ali, or anyone else affected,

Accepted crash into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/crash/7.2.8-1ubuntu1.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in crash (Ubuntu Groovy):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-groovy
removed: verification-done-groovy
Revision history for this message
Brian Murray (brian-murray) wrote :

Hello Ali, or anyone else affected,

Accepted crash into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/crash/7.2.8-1ubuntu1.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in crash (Ubuntu Focal):
status: Confirmed → Fix Committed
tags: added: verification-needed-focal
removed: verification-done-focal
Changed in crash (Ubuntu Bionic):
status: Confirmed → Fix Committed
tags: added: verification-needed-bionic
Revision history for this message
Brian Murray (brian-murray) wrote :

Hello Ali, or anyone else affected,

Accepted crash into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/crash/7.2.8-1ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in crash (Ubuntu Bionic):
assignee: nobody → Ioanna Alifieraki (joalif)
Changed in crash (Ubuntu Focal):
assignee: nobody → Ioanna Alifieraki (joalif)
Changed in crash (Ubuntu Groovy):
assignee: nobody → Ioanna Alifieraki (joalif)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Ioanna Alifieraki (joalif)
assignee: Ioanna Alifieraki (joalif) → nobody
Changed in linux (Ubuntu Focal):
assignee: nobody → Ioanna Alifieraki (joalif)
Changed in linux (Ubuntu Groovy):
assignee: nobody → Ioanna Alifieraki (joalif)
Revision history for this message
Ioanna Alifieraki (joalif) wrote :

#VERIFICATION FOCAL - crash part

Installed crash from -proposed, triggered a crash and opened dump
with crash.
Crash opens dump successfully.

# crash usr/lib/debug/boot/vmlinux-5.4.0-1049-aws /var/crash/202106021329/dump.202106021329

crash 7.2.8
Copyright (C) 2002-2020 Red Hat, Inc.
....
crash>

Revision history for this message
Ioanna Alifieraki (joalif) wrote :

#VERIFICATION BIONIC - crash part

Installed crash from -proposed, triggered a crash and opened dump
with crash.
Crash opens dump successfully.

~# crash usr/lib/debug/boot/vmlinux-5.4.0-1049-aws /var/crash/202106021531/dump.202106021531

crash 7.2.8
Copyright (C) 2002-2020 Red Hat, Inc.
....
crash>

tags: added: verification-done-bionic verification-done-focal
removed: verification-needed-bionic verification-needed-focal
Revision history for this message
Ioanna Alifieraki (joalif) wrote :

Verification for F and B done. On G build fails, I'll look into it and update the bug.

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (30.2 KiB)

This bug was fixed in the package linux - 5.4.0-74.83

---------------
linux (5.4.0-74.83) focal; urgency=medium

  * focal/linux: 5.4.0-74.83 -proposed tracker (LP: #1927619)

  * Introduce the 465 driver series, fabric-manager, and libnvidia-nscq
    (LP: #1925522)
    - debian/dkms-versions -- add NVIDIA 465 and migrate 450 to 460

  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: fix incorrect mnt_id of files opened from map_files

  * Enable CIFS GCM256 (LP: #1921916)
    - smb3: add defines for new crypto algorithms
    - smb3.1.1: add new module load parm require_gcm_256
    - smb3.1.1: add new module load parm enable_gcm_256
    - smb3.1.1: print warning if server does not support requested encryption type
    - smb3.1.1: rename nonces used for GCM and CCM encryption
    - smb3.1.1: set gcm256 when requested
    - cifs: Adjust key sizes and key generation routines for AES256 encryption

  * locking/qrwlock: Fix ordering in queued_write_lock_slowpath() (LP: #1926184)
    - locking/qrwlock: Fix ordering in queued_write_lock_slowpath()

  * [Ubuntu 21.04] net/mlx5: Fix HW spec violation configuring uplink
    (LP: #1925452)
    - net/mlx5: Fix HW spec violation configuring uplink

  * Focal update: v5.4.114 upstream stable release (LP: #1926493)
    - Revert "scsi: qla2xxx: Retry PLOGI on FC-NVMe PRLI failure"
    - Revert "scsi: qla2xxx: Fix stuck login session using prli_pend_timer"
    - scsi: qla2xxx: Dual FCP-NVMe target port support
    - scsi: qla2xxx: Fix device connect issues in P2P configuration
    - scsi: qla2xxx: Retry PLOGI on FC-NVMe PRLI failure
    - scsi: qla2xxx: Add a shadow variable to hold disc_state history of fcport
    - scsi: qla2xxx: Fix stuck login session using prli_pend_timer
    - scsi: qla2xxx: Fix fabric scan hang
    - net/sctp: fix race condition in sctp_destroy_sock
    - Input: nspire-keypad - enable interrupts only when opened
    - gpio: sysfs: Obey valid_mask
    - dmaengine: dw: Make it dependent to HAS_IOMEM
    - ARM: dts: Drop duplicate sha2md5_fck to fix clk_disable race
    - ARM: dts: Fix moving mmc devices with aliases for omap4 & 5
    - lockdep: Add a missing initialization hint to the "INFO: Trying to register
      non-static key" message
    - arc: kernel: Return -EFAULT if copy_to_user() fails
    - ASoC: max98373: Added 30ms turn on/off time delay
    - neighbour: Disregard DEAD dst in neigh_update
    - ARM: keystone: fix integer overflow warning
    - ARM: omap1: fix building with clang IAS
    - drm/msm: Fix a5xx/a6xx timestamps
    - ASoC: fsl_esai: Fix TDM slot setup for I2S mode
    - scsi: scsi_transport_srp: Don't block target in SRP_PORT_LOST state
    - net: ieee802154: stop dump llsec keys for monitors
    - net: ieee802154: forbid monitor for add llsec key
    - net: ieee802154: forbid monitor for del llsec key
    - net: ieee802154: stop dump llsec devs for monitors
    - net: ieee802154: forbid monitor for add llsec dev
    - net: ieee802154: forbid monitor for del llsec dev
    - net: ieee802154: stop dump llsec devkeys for monitors
    - net: ieee802154: forbid monitor for add llsec devkey
    - net: ieee8021...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (51.1 KiB)

This bug was fixed in the package linux - 5.8.0-55.62

---------------
linux (5.8.0-55.62) groovy; urgency=medium

  * groovy/linux: 5.8.0-55.62 -proposed tracker (LP: #1930379)

  * [Potential Regression] Unable to create KVM with uvtool on Groovy ARM64
    (LP: #1929925)
    - SAUCE: KVM: arm64: Assign kvm_ipa_limit

linux (5.8.0-54.61) groovy; urgency=medium

  * groovy/linux: 5.8.0-54.61 -proposed tracker (LP: #1927592)

  * Introduce the 465 driver series, fabric-manager, and libnvidia-nscq
    (LP: #1925522)
    - debian/dkms-versions -- add NVIDIA 465 and migrate 450 to 460

  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: fix incorrect mnt_id of files opened from map_files

  * netfilter: x_tables: fix compat match/target pad out-of-bound write
    (LP: #1927682)
    - netfilter: x_tables: fix compat match/target pad out-of-bound write

  * Groovy update: upstream stable patchset 2021-05-04 (LP: #1927150)
    - mt76: fix tx skb error handling in mt76_dma_tx_queue_skb
    - net: fec: ptp: avoid register access when ipg clock is disabled
    - powerpc/4xx: Fix build errors from mfdcr()
    - atm: eni: dont release is never initialized
    - atm: lanai: dont run lanai_dev_close if not open
    - Revert "r8152: adjust the settings about MAC clock speed down for RTL8153"
    - ALSA: hda: ignore invalid NHLT table
    - ixgbe: Fix memleak in ixgbe_configure_clsu32
    - scsi: ufs: ufs-qcom: Disable interrupt in reset path
    - blk-cgroup: Fix the recursive blkg rwstat
    - net: tehuti: fix error return code in bdx_probe()
    - net: intel: iavf: fix error return code of iavf_init_get_resources()
    - sun/niu: fix wrong RXMAC_BC_FRM_CNT_COUNT count
    - cifs: ask for more credit on async read/write code paths
    - gfs2: fix use-after-free in trans_drain
    - cpufreq: blacklist Arm Vexpress platforms in cpufreq-dt-platdev
    - gpiolib: acpi: Add missing IRQF_ONESHOT
    - nfs: fix PNFS_FLEXFILE_LAYOUT Kconfig default
    - NFS: Correct size calculation for create reply length
    - net: hisilicon: hns: fix error return code of hns_nic_clear_all_rx_fetch()
    - net: wan: fix error return code of uhdlc_init()
    - net: davicom: Use platform_get_irq_optional()
    - net: enetc: set MAC RX FIFO to recommended value
    - atm: uPD98402: fix incorrect allocation
    - atm: idt77252: fix null-ptr-dereference
    - cifs: change noisy error message to FYI
    - irqchip/ingenic: Add support for the JZ4760
    - kbuild: add image_name to no-sync-config-targets
    - kbuild: dummy-tools: fix inverted tests for gcc
    - umem: fix error return code in mm_pci_probe()
    - sparc64: Fix opcode filtering in handling of no fault loads
    - habanalabs: Call put_pid() when releasing control device
    - staging: rtl8192e: fix kconfig dependency on CRYPTO
    - u64_stats,lockdep: Fix u64_stats_init() vs lockdep
    - regulator: qcom-rpmh: Correct the pmic5_hfsmps515 buck
    - block: Fix REQ_OP_ZONE_RESET_ALL handling
    - drm/amd/display: Revert dram_clock_change_latency for DCN2.1
    - drm/amdgpu: fb BO should be ttm_bo_type_device
    - drm/radeon: fix AGP dependency
    - nvme: add NVM...

Changed in linux (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Ali Saidi (alisaidi) wrote :

Apologies for not getting back to this earlier, it looks like the verification was already done.

Revision history for this message
Chris Halse Rogers (raof) wrote :

We're still waiting on verification for Groovy - the kernel task was verified, but the groovy build of crash has not been verified yet.

Revision history for this message
Ioanna Alifieraki (joalif) wrote :

The arm64 build failure on groovy is due to a commit missning regarding gdb. See bug https://bugs.launchpad.net/ubuntu/+source/crash/+bug/1931435.

On riscv64 it seems it never built successfully and the failure is irrelevant to the patch.
See bug https://bugs.launchpad.net/ubuntu/+source/crash/+bug/1931432.

Revision history for this message
Brian Murray (brian-murray) wrote :

Hello Ali, or anyone else affected,

Accepted crash into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/crash/7.2.8-1ubuntu1.20.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Ali Saidi (alisaidi) wrote :

Brian, 7.2.8-1ubuntu1.20.10.2 fix addresses the issue. Thanks!

tags: added: verification-done verification-done-groovy
removed: verification-needed verification-needed-groovy
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package crash - 7.2.8-1ubuntu0.18.04.2

---------------
crash (7.2.8-1ubuntu0.18.04.2) bionic; urgency=medium

  * Fix cannot determine VA_BITS_ACTUAL (LP: #1919275):
    - d/p/0003-arm64-Change-tcr_el1_t1sz-variable-name-to-TCR_EL1_T.patch

 -- Ioanna Alifieraki <email address hidden> Wed, 14 Apr 2021 18:41:40 +0300

Changed in crash (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Update Released

The verification of the Stable Release Update for crash has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package crash - 7.2.8-1ubuntu1.20.04.1

---------------
crash (7.2.8-1ubuntu1.20.04.1) focal; urgency=medium

  * Fix cannot determine VA_BITS_ACTUAL (LP: #1919275):
    - d/p/0003-arm64-Change-tcr_el1_t1sz-variable-name-to-TCR_EL1_T.patch

 -- Ioanna Alifieraki <email address hidden> Thu, 15 Apr 2021 12:33:46 +0300

Changed in crash (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package crash - 7.2.8-1ubuntu1.20.10.2

---------------
crash (7.2.8-1ubuntu1.20.10.2) groovy; urgency=medium

  * Fix FTBFS (LP: #1931435):
    - d/p/0004-Fix-for-an-ARM64-gcc-10-compilation-error.-Without-t.patch

crash (7.2.8-1ubuntu1.20.10.1) groovy; urgency=medium

  * Fix cannot determine VA_BITS_ACTUAL (LP: #1919275):
    - d/p/0003-arm64-Change-tcr_el1_t1sz-variable-name-to-TCR_EL1_T.patch

 -- Ioanna Alifieraki <email address hidden> Thu, 10 Jun 2021 16:07:41 +0000

Changed in crash (Ubuntu Groovy):
status: Fix Committed → Fix Released
dann frazier (dannf)
Changed in crash (Ubuntu):
status: New → Fix Released
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers